/*
*  Name:        test-delete-1.uesql.cc
*  Author:      Rafael Jesus Alcantara Perez
*  Contributor: Francisco Vides Fernandez
*  Summary:     Test for UESQL
*  Date:        $Date: 2001/10/21 20:17:41 $
*  Revision:    $Revision: 1.3 $
*
*  Copyright (C) 1996-1999  Rafael Jesus Alcantara Perez <rafa@dedalo-ing.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <mpcl/string.hh>


///  Main.
int main (void)
{
  mpcl::xstring   yCursorName = "cursor";
  mpcl::xstring   yData;

  /* Multi-line comment */
  /*
  * Multi-line comment
  */
/********************
*  Multi-line comment
*/
  /* Multi-line comment */
  // One-line comment
  extern //  Comment
         //  Comment
         "UESQL::default"
         // Comment
  {
    DELETE FROM mytable WHERE CURRENT OF mycursor;
    UPDATE mytable SET a=1, b=2 WHERE CURRENT OF mycursor;
  }

  for (int i = 0; ( i < 10000 ) ;++i) {}

  extern  "UESQL::default" 
  {
    DELETE FROM mytable WHERE CURRENT OF mycursor;
    UPDATE mytable SET a=1, b=2 WHERE CURRENT OF mycursor;
    CLOSE mycursor;
    UPDATE mytable SET c=3, d=4 WHERE c > 1 AND d = 2;
    UPDATE mytable SET c=3, d=4;
    WHENEVER SQLERROR GOTO target;
    WHENEVER SQLERROR GO TO target;
    WHENEVER SQLERROR CONTINUE;
    WHENEVER NOT FOUND GOTO target;
    WHENEVER NOT FOUND GO TO target;
    WHENEVER NOT FOUND CONTINUE;
    DECLARE :yCursorName CURSOR FOR SELECT * FROM mytable;
    OPEN :yCursorName;
    FETCH FROM :yCursorName INTO :yData;
    CLOSE :yCursorName;
  }
  return 0;

}  /* main() */

/* the_end() */
